﻿function Help(section) {
	q=window.open('?mod=help&section='+section, 'Help', 'scrollbars=1,resizable=1,width=450,height=400');
}
function ShowOrHide(d1, d2) {
	if (d2) { 

		DoDiv(d1); 
		DoDiv(d2); 

	} else {

		var item = jQuery("#" + d1);
		if (item.is(":hidden")) { 
			item.show('blind',{},1000);
		} else {
			item.hide('blind',{},1000);
		}

	}
}
function DoDiv(id) {

	if ( jQuery("#" + id).is(":hidden") ) {

		jQuery("#" + id).show(1);

	} else {

		jQuery("#" + id).hide(1);
	}
}

function ShowLoading( message )
{

	if ( message )
	{
		jQuery("#loading-layer-text").html(message);
	}
		
	var setX = ( jQuery(window).width()  - jQuery("#loading-layer").width()  ) / 2;
	var setY = ( jQuery(window).height() - jQuery("#loading-layer").height() ) / 2;
			
	jQuery("#loading-layer").css( {
		left : setX + "px",
		top : setY + "px",
		position : 'fixed',
		zIndex : '99'
	});
		
	jQuery("#loading-layer").fadeTo('slow', 1.0);

};

function HideLoading( message )
{
	jQuery("#loading-layer").fadeOut('slow');
};

function DLEalert(message, title){

	jQuery("#dlepopup").remove();

	jQuery("body").append("<div id='dlepopup' title='" + title + "' style='display:none'><br />"+ message +"</div>");

	jQuery('#dlepopup').dialog({
		autoOpen: true,
		width: 500,
		buttons: {
			"Ok": function() { 
				jQuery(this).dialog("close");
				jQuery("#dlepopup").remove();							
			}
		}
	});
};

function DLEconfirm(message, title, callback){

	var b = {};

	b[dle_act_lang[1]] = function() { 
					jQuery(this).dialog("close");
					jQuery("#dlepopup").remove();						
			    };

	b[dle_act_lang[0]] = function() { 
					jQuery(this).dialog("close");
					jQuery("#dlepopup").remove();
					if( callback ) callback();					
				};

	jQuery("#dlepopup").remove();

	jQuery("body").append("<div id='dlepopup' title='" + title + "' style='display:none'><br />"+ message +"</div>");

	jQuery('#dlepopup').dialog({
		autoOpen: true,
		width: 500,
		buttons: b
	});
};

function DLEprompt(message, d, title, callback, allowempty){

	var b = {};

	b[dle_act_lang[3]] = function() { 
					jQuery(this).dialog("close");						
			    };

	b[dle_act_lang[2]] = function() { 
					if ( !allowempty && jQuery("#dle-promt-text").val().length < 1) {
						 jQuery("#dle-promt-text").addClass('ui-state-error');
					} else {
						var response = jQuery("#dle-promt-text").val()
						jQuery(this).dialog("close");
						jQuery("#dlepopup").remove();
						if( callback ) callback( response );	
					}				
				};

	jQuery("#dlepopup").remove();

	jQuery("body").append("<div id='dlepopup' title='" + title + "' style='display:none'><br />"+ message +"<br /><br /><input type='text' name='dle-promt-text' id='dle-promt-text' class='ui-widget-content ui-corner-all' style='width:97%; padding: .4em;' value='" + d + "'/></div>");

	jQuery('#dlepopup').dialog({
		autoOpen: true,
		width: 500,
		buttons: b
	});

	if (d.length > 0) {
		jQuery("#dle-promt-text").select().focus();
	} else {
		jQuery("#dle-promt-text").focus();
	}
};

function RunAjaxJS(insertelement, data){
	var milisec = new Date;
    var jsfound = false;
    milisec = milisec.getTime();

    var js_reg = /<script.*?>(.|[\r\n])*?<\/script>/ig;

    var js_str = js_reg.exec(data);
    if (js_str != null) {

		var js_arr = new Array(js_str.shift());
        var jsfound = true;
        
        while(js_str) {
           js_str = js_reg.exec(data);
           if (js_str != null) js_arr.push(js_str.shift());
        }

        for(var i=0; i<js_arr.length;i++) {
           data = data.replace(js_arr[i],'<span id="'+milisec+i+'" style="display:none;"></span>');
        }
	}
    
	jQuery("#" + insertelement).html(data);

    if (jsfound) {

       var js_content_reg = /<script.*?>((.|[\r\n])*?)<\/script>/ig;

       for (i = 0; i < js_arr.length; i++) {
           var mark_node = document.getElementById(milisec+''+i);
           var mark_parent_node = mark_node.parentNode;
           mark_parent_node.removeChild(mark_node);
                                
           js_content_reg.lastIndex = 0;
           var js_content = js_content_reg.exec(js_arr[i]);
           var script_node = mark_parent_node.appendChild(document.createElement('script'));
		   script_node.text = js_content[1];  

           var script_params_str = js_arr[i].substring(js_arr[i].indexOf(' ',0),js_arr[i].indexOf('>',0));
           var params_arr = script_params_str.split(' ');

           if (params_arr.length > 1) {
              for (var j=0;j< params_arr.length; j++ ) {
                                        
                  if(params_arr[j].length > 0){
                       var param_arr = params_arr[j].split('=');
                       param_arr[1] = param_arr[1].substr(1,(param_arr[1].length-2));
                       script_node.setAttribute(param_arr[0],param_arr[1]);
                  }

               }
           }

       }
    }
};

function dropdownmenu(obj, e, menucontents, menuwidth){

	if (window.event) event.cancelBubble=true;
	else if (e.stopPropagation) e.stopPropagation();

	if (jQuery('#dropmenudiv').is(':visible')) { jQuery('#dropmenudiv').fadeOut('fast'); return false; }

	jQuery('#dropmenudiv').remove();

	jQuery('body').append('<div id="dropmenudiv" style="display:none;position:absolute;z-index:100;width:165px;"></div>');

	jQuery('#dropmenudiv').html(menucontents.join(""));

	if (menuwidth) jQuery('#dropmenudiv').width(menuwidth);

	var windowx = jQuery(document).width() - 15;
	var offset = jQuery(obj).offset();

	if (windowx-offset.left < jQuery('#dropmenudiv').width())
			offset.left = offset.left - (jQuery('#dropmenudiv').width()-obj.offsetWidth);

	jQuery('#dropmenudiv').css( {
		left : offset.left + "px",
		top : offset.top+obj.offsetHeight+"px"
	});

	jQuery('#dropmenudiv').fadeTo('fast', 0.9);

	jQuery('#dropmenudiv').mouseenter(function(){
	      clearhidemenu();
	    }).mouseleave(function(){
	      delayhidemenu();
	});


	return false;
};

function hidemenu(e){
	jQuery("#dropmenudiv").fadeOut("fast");
};

function delayhidemenu(){
	delayhide=setTimeout("hidemenu()",1000);
};

function clearhidemenu(){

	if (typeof delayhide!="undefined")
		clearTimeout(delayhide);
};

document.onclick=hidemenu;

var horizontal_offset="9px" //horizontal offset of hint box from anchor link

/////No further editting needed

var vertical_offset="0" //horizontal offset of hint box from anchor link. No need to change.
var ie=document.all
var ns6=document.getElementById&&!document.all

function getposOffset(what, offsettype){
var totaloffset=(offsettype=="left")? what.offsetLeft : what.offsetTop;
var parentEl=what.offsetParent;
while (parentEl!=null){
totaloffset=(offsettype=="left")? totaloffset+parentEl.offsetLeft : totaloffset+parentEl.offsetTop;
parentEl=parentEl.offsetParent;
}
return totaloffset;
}

function iecompattest(){
return (document.compatMode && document.compatMode!="BackCompat")? document.documentElement : document.body
}

function clearbrowseredge(obj, whichedge){
var edgeoffset=(whichedge=="rightedge")? parseInt(horizontal_offset)*-1 : parseInt(vertical_offset)*-1
if (whichedge=="rightedge"){
var windowedge=ie && !window.opera? iecompattest().scrollLeft+iecompattest().clientWidth-30 : window.pageXOffset+window.innerWidth-40
dropmenuobj.contentmeasure=dropmenuobj.offsetWidth
if (windowedge-dropmenuobj.x < dropmenuobj.contentmeasure)
edgeoffset=dropmenuobj.contentmeasure+obj.offsetWidth+parseInt(horizontal_offset)
}
else{
var windowedge=ie && !window.opera? iecompattest().scrollTop+iecompattest().clientHeight-15 : window.pageYOffset+window.innerHeight-18
dropmenuobj.contentmeasure=dropmenuobj.offsetHeight
if (windowedge-dropmenuobj.y < dropmenuobj.contentmeasure)
edgeoffset=dropmenuobj.contentmeasure-obj.offsetHeight
}
return edgeoffset
}

function showhint(menucontents, obj, e, tipwidth){
if ((ie||ns6) && document.getElementById("hintbox")){
dropmenuobj=document.getElementById("hintbox")
dropmenuobj.innerHTML=menucontents
dropmenuobj.style.left=dropmenuobj.style.top=-500
if (tipwidth!=""){
dropmenuobj.widthobj=dropmenuobj.style
dropmenuobj.widthobj.width=tipwidth
}
dropmenuobj.x=getposOffset(obj, "left")
dropmenuobj.y=getposOffset(obj, "top")
dropmenuobj.style.left=dropmenuobj.x-clearbrowseredge(obj, "rightedge")+obj.offsetWidth+"px"
dropmenuobj.style.top=dropmenuobj.y-clearbrowseredge(obj, "bottomedge")+"px"
dropmenuobj.style.visibility="visible"
obj.onmouseout=hidetip
}
}

function hidetip(e){
dropmenuobj.style.visibility="hidden"
dropmenuobj.style.left="-500px"
}

function createhintbox(){
var divblock=document.createElement("div")
divblock.setAttribute("id", "hintbox")
document.body.appendChild(divblock)
}

if (window.addEventListener)
window.addEventListener("load", createhintbox, false)
else if (window.attachEvent)
window.attachEvent("onload", createhintbox)
else if (document.getElementById)
window.onload=createhintbox